const _Http = getApp().globalData.http;
Page({
  data: {
    content: {
      pageNumber: 1,
      pageTotal: 1,
      pageSize: 20,
      where: {
        condition: "",
        begindate: "",
        enddate: ""
      }
    }
  },
  onLoad(options) {
    this.getList()
  },
  /* 获取产品 */
  getList(init = false) {
    if (init.detail != undefined) init = init.detail;
    let content = this.data.content;
    if (init) content.pageNumber = 1;
    if (content.pageNumber > content.pageTotal) return;
    this.setListHeight();
    _Http.basic({
      "id": 20230508113003,
      content
    }).then(res => {
      console.log("发货列表", res)
      this.selectComponent('#ListBox').RefreshToComplete();
      content.pageNumber = res.pageNumber + 1
      content.pageTotal = res.pageTotal
      this.setData({
        list: res.pageNumber == 1 ? res.data : this.data.list.concat(res.data),
        content
      })
    })
  },
  /* 修改查看日期 */
  changeDate(e) {
    this.data.content.where[e.currentTarget.dataset.name] = e.detail.value;

    this.getList(true)
  },
  initialize() {
    this.data.content.where.enddate = "";
    this.data.content.where.begindate = "";
    this.getList(true)
  },
  /* 搜索 */
  onSearch({
    detail
  }) {
    this.data.content.where.condition = detail;
    this.getList(true)
  },
  /* 设置页面高度 */
  setListHeight() {
    this.selectComponent("#ListBox").setHeight(".head", this);
  }
})